<?php

/*------------------------------------------------------------------------
# com_invoices - Invoice Manager for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 - 2016 JoomlaThat.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.joomlathat.com
# Technical Support:	Forum - http://www.joomlathat.com/support
-------------------------------------------------------------------------*/

//no direct access
defined('_JEXEC') or die('Restricted access.');

jimport( 'joomla.application.component.view' );

class TemplateitemsViewTemplateitem extends JViewLegacy
{

  protected $input;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$this->input = $mainframe->input;

	}

	function display($tpl = null)
	{
		//cridem el CSS
		$document	= JFactory::getDocument();

		//get the item
		$this->item			= $this->get('Data');

		$isNew		= ($this->item->id < 1);

		$text = $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' );
		$title = $isNew ? JText::_( 'PRODUCT' ) : $this->item->name;

		JToolbarHelper::title(   $title . ': <small><small>[ ' . $text.' ]</small></small>','invoices' );
		JToolbarHelper::save();

		if ($isNew)  {
			JToolbarHelper::cancel();
		} else {
			JToolbarHelper::apply();
			JToolbarHelper::cancel( 'cancel', JText::_('CLOSE') );

		}

    $this->setLayout('form');

		parent::display($tpl);
	}

}
